TMF679 v5 Product Offering Qualification Management

POST CheckProductOfferingQualification

POST /checkProductOfferingQualification

Returns qualification result

Parameters

  • Authorization (header, string, required) Specifies the bearer token to use for the authentication of request.
  • Version (header, string, required) Specifies the version to use with the URL path.
  • Domain-Name (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

Request body

Media type: application/json. Schema: checkProductOfferingQualification_request.

Specifies the Returns qualification result to be created.

Example

{
  "checkProductOfferingQualificationItem": [
    {
      "productOffering": {
        "id": "DPI123",
        "name": "International Data Plan - 20 GB"
      }
    },
    {
      "productOffering": {
        "id": "DPI123",
        "name": "International Data Plan - 40 GB"
      }
    },
    {
      "productOffering": {
        "id": "DPI128",
        "name": "France Voice Plan - 3 hours"
      }
    }
  ],
  "provideResultReason": true,
  "relatedParty": [
    {
      "role": "requester",
      "partyOrPartyRole": {
        "id": "45hj-999",
        "name": "Louise",
        "@type": "PartyRef",
        "@referredType": "Individual"
      },
      "@type": "RelatedPartyOrPartyRole"
    }
  ]
}

Responses

  • 200 successfully retrieved the qualification details

    Media type: application/json. Schema: checkProductOfferingQualification_response.

    Example

    {
      "@type": "CheckProductOfferingQualification",
      "checkProductOfferingQualificationItem": [
        {
          "@type": "CheckProductOfferingQualificationItem",
          "productOffering": {
            "id": "DPI123",
            "name": "International Data Plan - 20 GB",
            "@type": "ProductOfferingRef"
          },
          "qualificationItemResult": "green",
          "state": "done"
        },
        {
          "@type": "CheckProductOfferingQualificationItem",
          "productOffering": {
            "id": "DPI123",
            "name": "International Data Plan - 40 GB",
            "@type": "ProductOfferingRef"
          },
          "qualificationItemResult": "orange",
          "state": "done"
        },
        {
          "@type": "CheckProductOfferingQualificationItem",
          "productOffering": {
            "id": "DPI128",
            "name": "France Voice Plan - 3 hours",
            "@type": "ProductOfferingRef"
          },
          "qualificationItemResult": "red",
          "state": "done"
        }
      ],
      "provideResultReason": true,
      "relatedParty": [
        {
          "role": "requester",
          "partyOrPartyRole": {
            "id": "45hj-999",
            "name": "Louise",
            "@type": "PartyRef",
            "@referredType": "Individual"
          },
          "@type": "RelatedPartyOrPartyRole"
        }
      ],
      "state": "done",
      "creationDate": "2021-09-01T14:21:03.354Z"
    }
  • 400 There was an issue with your request.

    Media type: application/json. Schema: Error.

    Example

    code: "400"
    reason: Specify the required parameter in the payload- account and product order item(s) missing.
  • 404 Resource not found.

    Media type: application/json. Schema: Error.

    Example

    code: "404"
    reason: We couldn't find the Account in your salesforce org.
  • 500 Internal server error

    Media type: application/json. Schema: Error.

    Example

    code: "500"
    reason: Internal server error